Bug 884886 - mate-utils-1.4.0-5 conflicts with mate-system-log
mate-utils-1.4.0-5 conflicts with mate-system-log
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-utils (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-06 18:06 EST by Jamie Anderson
Modified: 2012-12-24 01:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-24 01:21:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed spec file for mate-utils-1.4.0-6 (6.00 KB, text/x-rpm-spec)
2012-12-06 18:46 EST, Jamie Anderson
no flags Details

  None (edit)
Description Jamie Anderson 2012-12-06 18:06:25 EST
Description of problem:

Transaction Check Error:
  file /usr/bin/mate-system-log from install of mate-utils-1.4.0-5.fc18.x86_64 conflicts with file from package mate-system-log-1.4.0-4.fc18.x86_64


Version-Release number of selected component (if applicable):

1.4.0-5

How reproducible:

Always

Steps to Reproduce:
1. run "yum upgrade" with mate-system-log-1.4.0-4 installed
2.
3.
  
Actual results:

upgrade fails

Expected results:

upgrade completes

Additional info:

Perhaps mate-utils>=1.4.0-5 should obsolete mate-system-log?
Comment 1 Jamie Anderson 2012-12-06 18:46:19 EST
Created attachment 659104 [details]
Proposed spec file for mate-utils-1.4.0-6
Comment 2 Jamie Anderson 2012-12-06 18:46:32 EST
The following three items are found in mate-system-log-1.4.0-4, but not mate-utils-1.4.0-5:

/etc/pam.d/mate-system-log
/etc/security/console.apps/mate-system-log
/usr/sbin/mate-system-log

This appears to be related to the following snippet in the spec file from mate-utils-1.4.0-4:

# make mate-system-log use consolehelper until it starts using polkit
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/pam.d/mate-system-log
#%%PAM-1.0
auth      include      config-util
account      include      config-util
session      include      config-util
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/mate-system-log
USER=root
PROGRAM=/usr/sbin/mate-system-log
SESSION=true
FALLBACK=true
EOF

mkdir -p  $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/mate-system-log $RPM_BUILD_ROOT%{_sbindir}
ln -s %{_bindir}/consolehelper $RPM_BUILD_ROOT%{_bindir}/mate-system-log



I have attached a proposed spec file for mate-utils-1.4.0-6 that adds that logic back to %install and adds Obsoletes: mate-system-log
Comment 3 Rex Dieter 2012-12-06 21:32:07 EST
Yeah, the 1.4.0-5 had several issues, some of which you mentioned here, and has been revoked from updates-testing.
Comment 4 Dan Mashal 2012-12-24 01:21:19 EST
Issue is resolved as of now. Please re-open if still experiencing issues.

Note You need to log in before you can comment on or make changes to this bug.